
# Bash script for modification of programs of TIPS 2011
#
# 2016/12/29 yot

#!/bin/bash

ProgFiles=("BD_TIPS_2011_v1p0.for" "BD_MOL_2011.FOR" "BD_ISO_2011.for")

for file in ${ProgFiles[@]}; do
    echo "Modify" ${file} "..."
    filebk=${file}".bk"
    mv ${file} ${filebk}

    cat ${filebk} \
	| sed -e s/Species_2011.cmn/SPECIES_2011.CMN/g \
	| sed -e s/Isotops.cmn/ISOTOPS.CMN/g \
	| sed -e s/MOLEC.cmn/MOLEC.CMN/g \
	| sed -e s/Molec.cmn/MOLEC.CMN/g \
	| sed -e s/BD_ISO_2011.FOR/BD_ISO_2011.for/g \
	      > ${file}

    rm ${filebk}
done

file=${ProgFiles[0]}
echo "Cut" ${file} "..."
filebk=${file}".bk"
mv ${file} ${filebk}
numline=`wc -l ${filebk} | awk '{print $1}'`
numline=`expr $numline - 3`
tail -$numline ${filebk} > ${file}
rm ${filebk}

# check
#gfortran -c ${ProgFiles[0]}

echo "Making symbolic link of" ${ProgFiles[0]} "..."
ln -s ${ProgFiles[0]} "BD_TIPS_2011.f"
